using Adaptation.Eaf.EquipmentCore.SelfDescription.ElementDescription;
using Adaptation.PeerGroup.GCL.Annotations;
using System;

namespace Adaptation.Eaf.EquipmentCore.DataCollection.Reporting;

public class ParameterValue
{

#pragma warning disable IDE0060

    public ParameterValue(EquipmentParameter definition, object value) { }
    public ParameterValue(EquipmentParameter definition, object value, DateTime timestamp) { }

    public virtual object Value { get; protected internal set; }
    [NotNull]
    public EquipmentParameter Definition { get; }
    public DateTime Timestamp { get; protected set; }

    public virtual ParameterValue Clone(EquipmentParameter newDefinition) => throw new NotImplementedException();
    public override string ToString() => base.ToString();

}